Subject: Re: [net-next V11 PATCH 00/17] XDP redirect memory return API

From: Jesper Dangaard Brouer <[email-masked]>
Date: Tue, 17 Apr 2018 18:27:03 +0200

On Tue, 17 Apr 2018 11:35:48 -0400 (EDT)
David Miller <[email-masked]> wrote:

> From: Daniel Borkmann <[email-masked]>
> Date: Tue, 17 Apr 2018 17:24:03 +0200
> 
> > On 04/17/2018 05:18 PM, David Miller wrote:  
> >> From: Alexei Starovoitov <[email-masked]>
> >> Date: Tue, 17 Apr 2018 07:48:42 -0700
> >>   
> >>> On Tue, Apr 17, 2018 at 04:45:16PM +0200, Jesper Dangaard Brouer wrote:  
> >>>> Submitted against net-next, as it contains NIC driver changes.
> >>>>
> >>>> This patchset works towards supporting different XDP RX-ring memory
> >>>> allocators.  As this will be needed by the AF_XDP zero-copy mode.  
> >>  ...  
> >>> The series look good to me now.
> >>> Acked-by: Alexei Starovoitov <[email-masked]>  
> >> 
> >> Pushed out to net-next, thanks everyone!  
> > 
> > See my comment on the last patch which is actually buggy. But given it's
> > pushed out already, then it needs to be fixed as follow-up..  
> 
> Yes it will need to be dealt with as a follow-up.

Okay, will deal with this as a followup.

That was actually why I submitted V10 without the last patch, as I
though that required separate upstream review, which turned out to be
true.  And I was planning to submit it after V10 was accepted. (I did
have the last patch in "offlist" review with Alexei and Daniel (but I
guess Daniel didn't had time to review it, I just falsely assumed he
had looked at it)).

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer